From 60d8d4f5bbdfc3e91ed4adce0ee1315e1bdf47b6 Mon Sep 17 00:00:00 2001
From: Ed Wildgoose <gentoo@wildgooses.com>
Date: Mon, 21 Mar 2011 23:49:40 -0500
Subject: do not delete addresses when stopping a ppp interface.

This is important in situations where ppp is being used in a demand
dialing setup.

X-Gentoo-Bug: 359069
X-Gentoo-Bug-URL: http://bugs.gentoo.org/show_bug.cgi?id=359069
---
 init.d/net.lo.in | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/init.d/net.lo.in b/init.d/net.lo.in
index b194a236..822e3f58 100644
--- a/init.d/net.lo.in
+++ b/init.d/net.lo.in
@@ -684,7 +684,11 @@ stop()
 
 	# Only delete addresses for interfaces that exist
 	if _exists; then
-		_delete_addresses "${IFACE}"
+		# PPP can manage it's own addresses when IN_BACKGROUND
+		# Important in case "demand" set on the ppp link
+		if ! (yesno ${IN_BACKGROUND} && is_ppp) ; then
+			_delete_addresses "${IFACE}"
+		fi
 	fi
 
 	for module in ${MODULES}; do
-- 
cgit v1.2.3